org.gjt.sp.jedit.io

## Class FavoritesVFS

- java.lang.Object
- - org.gjt.sp.jedit.io.VFS
  - - org.gjt.sp.jedit.io.FavoritesVFS

    public class FavoritesVFS
    extends VFS

A VFS used for remembering frequently-visited directories. Listing it returns the favorites list. The deletePath of each entry is the directory prefixed with "favorites:" so that right-clicking on a favorite and clicking 'delete' in the browser just deletes the favorite, and not the directory itself.

### Nested Class Summary

Nested Classes
`static class` `FavoritesVFS.Favorite`

### Nested classes/interfaces inherited from class org.gjt.sp.jedit.io.VFS

`VFS.DirectoryEntryCompare`

### Field Summary

Fields
`static java.lang.String` `PROTOCOL`

### Fields inherited from class org.gjt.sp.jedit.io.VFS

`BROWSE_CAP, CASE_INSENSITIVE_CAP, DELETE_CAP, EA_MODIFIED, EA_SIZE, EA_STATUS, EA_TYPE, IOBUFSIZE, LOW_LATENCY_CAP, MKDIR_CAP, NON_AWT_SESSION_CAP, READ_CAP, RENAME_CAP, WRITE_CAP`

### Constructor Summary

Constructors
Constructor and Description
`FavoritesVFS()`

### Method Summary

Methods
`boolean` `_delete(java.lang.Object session, java.lang.String path, java.awt.Component comp)` Deletes the specified URL.
`VFSFile` `_getFile(java.lang.Object session, java.lang.String path, java.awt.Component comp)` Returns the specified directory entry.
`VFSFile[]` `_listFiles(java.lang.Object session, java.lang.String url, java.awt.Component comp)` Lists the specified directory.
`boolean` `_rename(java.lang.Object session, java.lang.String from, java.lang.String to, java.awt.Component comp)` Rename a favorite
`static void` `addToFavorites(java.lang.String path, int type)`
`static VFSFile[]` `getFavorites()`
`java.lang.String` `getParentOfPath(java.lang.String path)` Returns the parent of the specified path.
`static void` `loadFavorites()`
`static void` `saveFavorites()`

### Methods inherited from class org.gjt.sp.jedit.io.VFS

`_backup, _canonPath, _createInputStream, _createOutputStream, _endVFSSession, _finishTwoStageSave, _listDirectory, _listDirectory, _listDirectory, _mkdir, _saveComplete, constructPath, copy, copy, copy, copy, createVFSSession, createVFSSessionSafe, getCapabilities, getDefaultColorFor, getExtendedAttributes, getFileName, getFilePath, getFileSeparator, getName, getTwoStageSaveName, insert, isMarkersFileSupported, load, reloadDirectory, save`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROTOCOL

    public static final java.lang.String PROTOCOL

See Also:
  Constant Field Values

### Constructor Detail

#### FavoritesVFS

    public FavoritesVFS()

### Method Detail

#### getParentOfPath

    public java.lang.String getParentOfPath(java.lang.String path)

Description copied from class: `VFS`
Returns the parent of the specified path. This must be overridden to return a non-null value for browsing of this filesystem to work.

Overrides:
  `getParentOfPath` in class `VFS`
Parameters:
  `path` - The path

#### _listFiles

    public VFSFile[] _listFiles(java.lang.Object session,
                       java.lang.String url,
                       java.awt.Component comp)

Description copied from class: `VFS`
Lists the specified directory.

Overrides:
  `_listFiles` in class `VFS`
Parameters:
  `session` - The session
  `url` - The directory. Note that this must be a full URL, including the host name, path name, and so on. The username and password (if needed by the VFS) is obtained from the session instance.
  `comp` - The component that will parent error dialog boxes

#### _getFile

    public VFSFile _getFile(java.lang.Object session,
                   java.lang.String path,
                   java.awt.Component comp)

Description copied from class: `VFS`
Returns the specified directory entry.

Overrides:
  `_getFile` in class `VFS`
Parameters:
  `session` - The session get it with `VFS.createVFSSession(String, Component)`
  `path` - The path
  `comp` - The component that will parent error dialog boxes
Returns:
  The specified directory entry, or null if it doesn't exist.

#### _delete

    public boolean _delete(java.lang.Object session,
                  java.lang.String path,
                  java.awt.Component comp)

Description copied from class: `VFS`
Deletes the specified URL.

Overrides:
  `_delete` in class `VFS`
Parameters:
  `session` - The VFS session
  `path` - The path
  `comp` - The component that will parent error dialog boxes

#### _rename

    public boolean _rename(java.lang.Object session,
                  java.lang.String from,
                  java.lang.String to,
                  java.awt.Component comp)

Rename a favorite

Overrides:
  `_rename` in class `VFS`
Parameters:
  `session` - no session needed you can give null
  `from` - The old path (not the name)
  `to` - the new name
  `comp` - The component that will parent error dialog boxes
Returns:
  true if the favorite having that old path exists

#### loadFavorites

    public static void loadFavorites()

#### addToFavorites

    public static void addToFavorites(java.lang.String path,
                      int type)

#### saveFavorites

    public static void saveFavorites()

#### getFavorites

    public static VFSFile[] getFavorites()